import Aura from '@primeuix/themes/aura';
import { createPinia } from 'pinia';
import PrimeVue from 'primevue/config';
import ConfirmationService from 'primevue/confirmationservice';
import ToastService from 'primevue/toastservice';
import { createApp } from 'vue';
import App from './App.vue';
import { router } from './router.js';

// Import only the required PrimeVue styles
import 'primeicons/primeicons.css'; // Icons
import './style.css';


const app = createApp(App)


const pinia = createPinia()
app.use(pinia);

app.use(router);
app.use(PrimeVue, {
    theme: {
        preset: Aura,
    },
    ripple: true,
    options: {
        darkModeSelector: '.my-app-dark',
    }
})

// Register the ConfirmationService to fix the error
app.use(ConfirmationService);

// Register the ToastService
app.use(ToastService);

// Remove global component registrations

app.mount('#app');
